<?php
namespace Flat101\MultiWidget\Controller\Adminhtml;

use Magento\Backend\App\Action;
use Magento\Backend\Model\View\Result\Page;

/**
 * Class MultiWidget
 * @package Flat101\MultiWidget\Controller\Adminhtml
 * @SuppressWarnings(PHPMD.NumberOfChildren)
 */
abstract class MultiWidget extends Action
{
    /**
     * Authorization level of a basic admin session
     *
     * @see _isAllowed()
     */
    const ADMIN_RESOURCE = 'Flat101_MultiWidget::item';

    /**
     * @param Action\Context $context
     */
    public function __construct(
        Action\Context $context
    )
    {
        parent::__construct($context);
    }

    /**
     * Init page
     *
     * @param Page $resultPage
     * @return Page
     */
    protected function initAction(Page $resultPage): Page
    {
        $resultPage->setActiveMenu(self::ADMIN_RESOURCE);
        return $resultPage;
    }
}
