<?php
declare(strict_types=1);

namespace Flat101\MultiWidget\Model;

use Flat101\MultiWidget\Api\Data\TypesInterface;
use Flat101\MultiWidget\Model\ResourceModel\Types AS ResourceModelTypes;
use Magento\Framework\Model\AbstractExtensibleModel;
use Magento\Framework\DataObject\IdentityInterface;

class Types extends AbstractExtensibleModel implements TypesInterface, IdentityInterface
{
    const CACHE_TAG = 'flat101_multi_types';

    /** @var string */
    protected $_cacheTag = self::CACHE_TAG;

    /** @var string */
    protected $_eventPrefix = self::CACHE_TAG;

    /**
     * Initialize model
     */
    protected function _construct()
    {
        $this->_init(ResourceModelTypes::class);
    }

    /**
     * @inheritdoc
     */
    public function getName(): string
    {
        return $this->getData(TypesInterface::NAME);
    }

    /**
     * @inheritdoc
     */
    public function setName($name): TypesInterface
    {
        return $this->setData(TypesInterface::NAME, $name);
    }

    /**
     * @inheritdoc
     */
    public function getIdentities(): array
    {
        return [self::CACHE_TAG . '_' . $this->getId()];
    }
}
